Informazioni su X11 e OS X Mountain Lion

Progetto XQuartzUn nota di attenzione per coloro che hanno intenzione o hanno già eseguito l’aggiornamento di OS X a Mountain Lion (10.8). Io come altri che utilizzano OS X, spesso facciamo uso di software (Wireshark, PSpice, Gimp, OpenOffice, etc…) che richiedono X Window System Interface (X11) per il loro funzionamento. A partire da Mountain Lion, Apple non include X11 (presente di default a partire dalla versione Leopard) ma niente paura, le librerie server e client X11 per OS X Mountain Lion sono disponibili nel progetto XQuartz.

Apple contribuisce al progetto XQuartz e ha lavorato per assicurare il funzionamento previsto di X11 in OS X Mountain Lion con XQuarz 2.7.2 o versioni più recenti. Io ho appena aggiornato la versione di XQuartz alla 2.7.3 rilasciata il 27 Agosto 2012. In Figura 1 Quartz in esecuzione sul mio Mac Book Pro.

Figura 1 - XQuartz in azione

Figura 1 – XQuartz in azione

Antonio Musarra

I began my journey into the world of computing from an Olivetti M24 PC (http://it.wikipedia.org/wiki/Olivetti_M24) bought by my father for his work. Day after day, quickly taking control until … Now doing business consulting for projects in the enterprise application development using web-oriented technologies such as J2EE, Web Services, ESB, TIBCO, PHP.

You may also like...

  • http://musarra.wordpress.com Antonio Musarra

    Thx per il like.

  • http://gravatar.com/beppe89 bepperk

    ciao non riesco a installare matlab 2012b su mountain lion. il File di installazione si chiude mentre si apre. Ho l’ultima versione di Xquartz installata e ho riavviato.
    cosa posso fare??

    • http://musarra.wordpress.com Antonio Musarra

      Ciao Marco,
      francamente non ho mai installato Matlab su OS X e non credo sia richiesto xQuartz. Il programma dovrebbe essere nativo OS X, prova a verificare su questa pagina quali sono i requisiti: http://www.mathworks.it/support/sysreq/current_release/macintosh.html

      Posso dirti di verificare i log dalla console per cercare di capire il motivo del crash.

      Bye,
      Antonio.

      • http://bepperk.wordpress.com bepperk

        Ciao, grazie per la risposta. Dalla console vedo che non trova il JDK di java. Io ho java 1.7 installato e non 1.6. Può essere per questo?

        • http://musarra.wordpress.com Antonio Musarra

          Se non erro MathLab non è compatibile con JDK/JRE 1.7, quindi potrebbe essere questo il problema. Ma in ogni caso dovrebbe avere la sua JRE e il messaggio che vedi in console mi sembra strano, è come se non riuscisse a leggere le variabili d’ambiente per cercare la JDK/JRE.
          Sicuramente sul PDF d’installazione ci saranno i requisiti che devono essere soddisfatti.

          Bye,
          Antonio.